osl::progress::ml::NewProgress Class Reference

`#include <progress.h>`

Inheritance diagram for osl::progress::ml::NewProgress:

## Public Types

enum | { ProgressScale = 2 }

## Public Member Functions

| NewProgress (const NumEffectState &state)
int | progress () const
template<Player P>
void | updateSub (const NumEffectState &new_state, Move last_move)
void | update (const NumEffectState &new_state, Move last_move)
NewProgressDebugInfo | debugInfo () const
const Progress16 | progress16 () const
const Progress16 | progress16 (Player p) const
const Progress16 | progressAttack (Player p) const
const Progress16 | progressDefense (Player p) const
const NewProgressData | rawData () const

## Static Public Member Functions

static int | maxProgress ()
static bool | initialized ()
static bool | setUp (const char *filename)
static bool | setUp ()
static std::string | defaultFilename ()

## Private Member Functions

void | updatePieceKingRelativeBonus (const NumEffectState &state)
void | updateNonPawnAttackedPtypePair (const NumEffectState &state)
template<Player Owner>
void | updateNonPawnAttackedPtypePairOne (const NumEffectState &state)
void | updatePawnFacing (const NumEffectState &state)
template<Player Attack>
void | promotion37One (const NumEffectState &state, int rank)
void | updatePromotion37 (const NumEffectState &state)
void | updatePieceStand7 (const NumEffectState &state)
template<Player P>
void | updateAttack5x5PiecesAndState (const NumEffectState &state)
template<Player P>
void | updateAttack5x5Pieces (PieceMask, const NumEffectState &)
template<Player P>
int | attack5x5Value (const NumEffectState &state) const
template<Player P>
void | updateMain (const NumEffectState &new_state, Move last_move)

## Static Private Member Functions

template<Player P>
static void | progressOne (const NumEffectState &state, int &attack, int &defense)
template<Player P>
static int | index (Square king, Square target)
template<Player P>
static int | indexX (Square king, Square target)
template<Player P>
static int | indexY (Square king, Square target)
static int | index5x5 (int rook, int bishop, int gold, int silver, int promoted)
static int | index5x5x (int rook, int bishop, int gold, int silver, int promoted, int king_x)
static int | index5x5y (int rook, int bishop, int gold, int silver, int promoted, int king_y)
template<Player P>
static int | indexPerEffect (Square king, Square target, int count)
template<Player P>
static int | indexPerEffectY (Square king, Square target, int count)
template<Player P>
static int | indexPerEffectX (Square king, Square target, int count)
template<Player P>
static int | indexRelative (const Square king, const Ptype ptype, const Square pos)
static int | indexRelative (const Player player, const Square king, const Piece piece)

## Static Private Attributes

static bool | initialized_flag
static CArray< int, Piece::SIZE > | stand_weight
static CArray< int, 1125 > | attack5x5_weight
static CArray< int, 5625 > | attack5x5_x_weight
static CArray< int, 10125 > | attack5x5_y_weight
static CArray< int, 75 > | effectstate_weight
static CArray< int, 81 *15 *10 > | attack_relative
static CArray< int, 81 *15 *10 > | defense_relative
static CArray< int, 4284 > | king_relative_weight
static CArray< int, 262144 > | attacked_ptype_pair_weight
static CArray< int, 10 > | pawn_facing_weight
static CArray< int, 16 > | promotion37_weight
static CArray< int, 56 > | piecestand7_weight
static int | max_progress

## Additional Inherited Members

Private Attributes inherited from osl::progress::ml::NewProgressData
CArray< MultiInt, 2 > | non_pawn_ptype_attacked_pair_eval
MultiInt | promotion37_eval
CArray< int, 2 > | progresses
CArray< int, 2 > | attack5x5_progresses
CArray< int, 2 > | stand_progresses
CArray< int, 2 > | effect_progresses
CArray< int, 2 > | defenses
CArray< int, 2 > | rook
CArray< int, 2 > | bishop
CArray< int, 2 > | gold
CArray< int, 2 > | silver
CArray< int, 2 > | promoted
CArray< int, 2 > | king_relative_attack
CArray< int, 2 > | king_relative_defense
CArray< int, 2 > | non_pawn_ptype_attacked_pair
int | pawn_facing
int | promotion37
int | piecestand7

## Detailed Description

Definition at line 75 of file progress.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ProgressScale |

Definition at line 78 of file progress.h.

## Constructor & Destructor Documentation

## NewProgress()

osl::progress::ml::NewProgress::NewProgress | ( | const NumEffectState & | state | ) |

Definition at line 546 of file progress.cc.

References osl::progress::ml::NewProgressData::attack5x5_progresses, attack5x5Value(), osl::BLACK, osl::SimpleState::countPiecesOnStand(), osl::progress::ml::NewProgressData::defenses, initialized_flag, osl::PieceStand::order, osl::progress::ml::NewProgressData::progresses, progressOne(), osl::Ptype_Table, osl::progress::ml::NewProgressData::stand_progresses, stand_weight, updateAttack5x5PiecesAndState(), updateNonPawnAttackedPtypePair(), updatePawnFacing(), updatePieceKingRelativeBonus(), updatePieceStand7(), updatePromotion37(), and osl::WHITE.

## Member Function Documentation

## attack5x5Value()

template<osl::Player P>

int osl::progress::ml::NewProgress::attack5x5Value | ( | const NumEffectState & | state | ) | const

private

Definition at line 386 of file progress.cc.

References osl::alt(), attack5x5_x_weight, attack5x5_y_weight, osl::BISHOP, osl::progress::ml::NewProgressData::bishop, osl::BLACK, osl::SimpleState::countPiecesOnStand(), osl::GOLD, osl::progress::ml::NewProgressData::gold, index5x5x(), index5x5y(), osl::SimpleState::kingSquare(), osl::progress::ml::NewProgressData::promoted, osl::ROOK, osl::progress::ml::NewProgressData::rook, osl::SILVER, osl::progress::ml::NewProgressData::silver, and osl::Square::y().

Referenced by NewProgress(), and updateSub().

## debugInfo()

osl::progress::ml::NewProgressDebugInfo osl::progress::ml::NewProgress::debugInfo | ( |  | ) | const

Definition at line 726 of file progress.cc.

References osl::progress::ml::NewProgressDebugInfo::ATTACK5X5, osl::progress::ml::NewProgressData::attack5x5_progresses, osl::progress::ml::NewProgressDebugInfo::ATTACK_5X3, osl::progress::ml::NewProgressDebugInfo::black_values, osl::progress::ml::NewProgressDebugInfo::DEFENSE_5X3, osl::progress::ml::NewProgressData::defenses, osl::progress::ml::NewProgressDebugInfo::EFFECT5X5, osl::progress::ml::NewProgressData::effect_progresses, osl::progress::ml::NewProgressDebugInfo::KING_RELATIVE_ATTACK, osl::progress::ml::NewProgressData::king_relative_attack, osl::progress::ml::NewProgressDebugInfo::KING_RELATIVE_DEFENSE, osl::progress::ml::NewProgressData::king_relative_defense, osl::progress::ml::NewProgressDebugInfo::NON_PAWN_ATTACKED_PAIR, osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair, osl::progress::ml::NewProgressData::progresses, osl::progress::ml::NewProgressDebugInfo::STAND, osl::progress::ml::NewProgressData::stand_progresses, and osl::progress::ml::NewProgressDebugInfo::white_values.

## defaultFilename()

std::string osl::progress::ml::NewProgress::defaultFilename | ( |  | ) |

static

Definition at line 288 of file progress.cc.

References osl::OslConfig::home().

Referenced by osl::OslConfig::healthCheck(), and setUp().

## index()

template<Player P>

int osl::progress::ml::NewProgress::index | ( | Square | king,
|  | Square | target )

inline static private

Definition at line 113 of file progress.h.

References osl::BLACK, osl::Square::x(), and osl::Square::y().

Referenced by setUp(), and updateAttack5x5PiecesAndState().

## index5x5()

int osl::progress::ml::NewProgress::index5x5 | ( | int | rook,
|  | int | bishop,
|  | int | gold,
|  | int | silver,
|  | int | promoted )

inline static private

Definition at line 146 of file progress.h.

References osl::progress::ml::NewProgressData::bishop, osl::progress::ml::NewProgressData::gold, osl::progress::ml::NewProgressData::promoted, osl::progress::ml::NewProgressData::rook, and osl::progress::ml::NewProgressData::silver.

## index5x5x()

int osl::progress::ml::NewProgress::index5x5x | ( | int | rook,
|  | int | bishop,
|  | int | gold,
|  | int | silver,
|  | int | promoted,
|  | int | king_x )

inline static private

Definition at line 152 of file progress.h.

References osl::progress::ml::NewProgressData::bishop, osl::progress::ml::NewProgressData::gold, osl::progress::ml::NewProgressData::promoted, osl::progress::ml::NewProgressData::rook, and osl::progress::ml::NewProgressData::silver.

Referenced by attack5x5Value().

## index5x5y()

int osl::progress::ml::NewProgress::index5x5y | ( | int | rook,
|  | int | bishop,
|  | int | gold,
|  | int | silver,
|  | int | promoted,
|  | int | king_y )

inline static private

Definition at line 159 of file progress.h.

References osl::progress::ml::NewProgressData::bishop, osl::progress::ml::NewProgressData::gold, osl::progress::ml::NewProgressData::promoted, osl::progress::ml::NewProgressData::rook, and osl::progress::ml::NewProgressData::silver.

Referenced by attack5x5Value().

## indexPerEffect()

template<Player P>

int osl::progress::ml::NewProgress::indexPerEffect | ( | Square | king,
|  | Square | target,
|  | int | count )

inline static private

Definition at line 167 of file progress.h.

References osl::BLACK, osl::Square::x(), and osl::Square::y().

Referenced by setUp().

## indexPerEffectX()

template<Player P>

int osl::progress::ml::NewProgress::indexPerEffectX | ( | Square | king,
|  | Square | target,
|  | int | count )

inline static private

Definition at line 187 of file progress.h.

References osl::BLACK, osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by setUp().

## indexPerEffectY()

template<Player P>

int osl::progress::ml::NewProgress::indexPerEffectY | ( | Square | king,
|  | Square | target,
|  | int | count )

inline static private

Definition at line 177 of file progress.h.

References osl::BLACK, osl::Square::x(), and osl::Square::y().

Referenced by setUp().

## indexRelative() [1/2]

int osl::progress::ml::NewProgress::indexRelative | ( | const Player | player,
|  | const Square | king,
|  | const Piece | piece )

inline static private

Definition at line 209 of file progress.h.

References osl::BLACK, indexRelative(), osl::Piece::ptype(), and osl::Piece::square().

## indexRelative() [2/2]

template<Player P>

int osl::progress::ml::NewProgress::indexRelative | ( | const Square | king,
|  | const Ptype | ptype,
|  | const Square | pos )

inline static private

Definition at line 201 of file progress.h.

References osl::BLACK, osl::PTYPE_PIECE_MIN, osl::Square::x(), and osl::Square::y().

Referenced by indexRelative(), updateMain(), and updatePieceKingRelativeBonus().

## indexX()

template<Player P>

int osl::progress::ml::NewProgress::indexX | ( | Square | king,
|  | Square | target )

inline static private

Definition at line 121 of file progress.h.

References osl::BLACK, osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by setUp().

## indexY()

template<Player P>

int osl::progress::ml::NewProgress::indexY | ( | Square | king,
|  | Square | target )

inline static private

Definition at line 138 of file progress.h.

References osl::BLACK, osl::Square::x(), and osl::Square::y().

Referenced by setUp().

## initialized()

bool osl::progress::ml::NewProgress::initialized | ( |  | ) |

inline static

Definition at line 304 of file progress.h.

References initialized_flag.

## maxProgress()

int osl::progress::ml::NewProgress::maxProgress | ( |  | ) |

inline static

Definition at line 243 of file progress.h.

References max_progress, and ProgressScale.

Referenced by osl::eval::ml::OpenMidEndingEval::composeOpenMidEndgame(), osl::eval::ml::OpenMidEndingEval::expect(), osl::eval::ml::OpenMidEndingEval::infty(), progress16(), progress16(), progressAttack(), progressDefense(), and osl::eval::ml::OpenMidEndingEval::seeScale().

## progress()

int osl::progress::ml::NewProgress::progress | ( |  | ) | const

inline

Definition at line 225 of file progress.h.

References osl::progress::ml::NewProgressData::attack5x5_progresses, osl::progress::ml::NewProgressData::defenses, osl::progress::ml::NewProgressData::effect_progresses, osl::progress::ml::NewProgressData::king_relative_attack, osl::progress::ml::NewProgressData::king_relative_defense, max_progress, osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair, osl::progress::ml::NewProgressData::pawn_facing, osl::progress::ml::NewProgressData::piecestand7, osl::progress::ml::NewProgressData::progresses, ProgressScale, osl::progress::ml::NewProgressData::promotion37, and osl::progress::ml::NewProgressData::stand_progresses.

Referenced by progress16().

## progress16() [1/2]

const Progress16 osl::progress::ml::NewProgress::progress16 | ( |  | ) | const

inline

Definition at line 257 of file progress.h.

References maxProgress(), and progress().

## progress16() [2/2]

const Progress16 osl::progress::ml::NewProgress::progress16 | ( | Player | p | ) | const

inline

Definition at line 261 of file progress.h.

References osl::alt(), osl::progress::ml::NewProgressData::attack5x5_progresses, osl::progress::ml::NewProgressData::defenses, osl::progress::ml::NewProgressData::effect_progresses, osl::progress::ml::NewProgressData::king_relative_attack, osl::progress::ml::NewProgressData::king_relative_defense, max_progress, maxProgress(), osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair, osl::playerToIndex(), osl::progress::ml::NewProgressData::progresses, ProgressScale, and osl::progress::ml::NewProgressData::stand_progresses.

## progressAttack()

const Progress16 osl::progress::ml::NewProgress::progressAttack | ( | Player | p | ) | const

inline

Definition at line 278 of file progress.h.

References osl::alt(), osl::progress::ml::NewProgressData::attack5x5_progresses, osl::progress::ml::NewProgressData::effect_progresses, osl::progress::ml::NewProgressData::king_relative_attack, max_progress, maxProgress(), osl::progress::ml::NewProgressData::progresses, ProgressScale, and osl::progress::ml::NewProgressData::stand_progresses.

## progressDefense()

const Progress16 osl::progress::ml::NewProgress::progressDefense | ( | Player | p | ) | const

inline

Definition at line 292 of file progress.h.

References osl::alt(), osl::progress::ml::NewProgressData::defenses, osl::progress::ml::NewProgressData::king_relative_defense, max_progress, maxProgress(), osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair, and ProgressScale.

## progressOne()

template<osl::Player P>

void osl::progress::ml::NewProgress::progressOne | ( | const NumEffectState & | state,
|  | int & | attack,
|  | int & | defense )

static private

Definition at line 296 of file progress.cc.

References osl::Centering5x3::adjustCenter(), osl::alt(), attack_relative, osl::BLACK, osl::NumEffectState::countEffect(), defense_relative, osl::SimpleState::kingSquare(), osl::Square::rotate180(), osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by NewProgress(), and updateMain().

## promotion37One()

template<osl::Player P>

void osl::progress::ml::NewProgress::promotion37One | ( | const NumEffectState & | state,
|  | int | rank )

private

Definition at line 491 of file progress.cc.

References osl::alt(), osl::NumEffectState::countEffect(), osl::NumEffectState::findCheapAttack(), osl::AdditionalEffect::hasEffect(), osl::isPiece(), osl::isPromoted(), osl::progress::ml::NewProgressData::promotion37, osl::progress::ml::NewProgressData::promotion37_eval, promotion37_weight, osl::Piece::ptype(), osl::PTYPE_BASIC_MIN, osl::PTYPE_MAX, and osl::sign().

Referenced by updatePromotion37().

## rawData()

const NewProgressData osl::progress::ml::NewProgress::rawData | ( |  | ) | const

inline

Definition at line 311 of file progress.h.

Referenced by osl::progress::ml::operator==().

## setUp() [1/2]

bool osl::progress::ml::NewProgress::setUp | ( |  | ) |

static

Definition at line 283 of file progress.cc.

References defaultFilename(), and setUp().

Referenced by osl::OslConfig::healthCheck().

## setUp() [2/2]

bool osl::progress::ml::NewProgress::setUp | ( | const char * | filename | ) |

static

Definition at line 54 of file progress.cc.

References osl::Centering5x3::adjustCenter(), attack5x5_weight, attack5x5_x_weight, attack5x5_y_weight, attack_relative, attacked_ptype_pair_weight, osl::progress::ml::NewProgressData::bishop, defense_relative, osl::eval::ml::Weights::dimension(), effectstate_weight, osl::progress::ml::NewProgressData::gold, index(), osl::eval::ml::NonPawnAttackedPtypePair::index2(), indexPerEffect(), indexPerEffectX(), indexPerEffectY(), indexX(), indexY(), initialized_flag, king_relative_weight, max_progress, pawn_facing_weight, piecestand7_weight, ProgressScale, osl::progress::ml::NewProgressData::promoted, promotion37_weight, osl::PTYPE_SIZE, osl::eval::ml::Weights::resetDimension(), osl::progress::ml::NewProgressData::rook, osl::progress::ml::NewProgressData::silver, osl::Piece::SIZE, stand_weight, osl::Square::x(), and osl::Square::y().

Referenced by setUp().

## update()

void osl::progress::ml::NewProgress::update | ( | const NumEffectState & | new_state,
|  | Move | last_move )

inline

Definition at line 246 of file progress.h.

References osl::BLACK, osl::SimpleState::turn(), and updateSub().

## updateAttack5x5Pieces()

template<osl::Player P>

void osl::progress::ml::NewProgress::updateAttack5x5Pieces | ( | PieceMask | mask,
|  | const NumEffectState & | state )

private

Definition at line 367 of file progress.cc.

References osl::alt(), osl::BISHOP, osl::progress::ml::NewProgressData::bishop, osl::PieceMask::clearBit(), osl::container::PieceMask64::countBit(), osl::GOLD, osl::progress::ml::NewProgressData::gold, osl::NumEffectState::piecesOnBoard(), osl::progress::ml::NewProgressData::promoted, osl::NumEffectState::promotedPieces(), osl::ROOK, osl::progress::ml::NewProgressData::rook, osl::PieceMask::selectBit(), osl::SILVER, and osl::progress::ml::NewProgressData::silver.

Referenced by updateAttack5x5PiecesAndState().

## updateAttack5x5PiecesAndState()

template<osl::Player P>

void osl::progress::ml::NewProgress::updateAttack5x5PiecesAndState | ( | const NumEffectState & | state | ) |

private

Definition at line 336 of file progress.cc.

References osl::alt(), osl::progress::ml::NewProgressData::effect_progresses, osl::NumEffectState::effectSetAt(), effectstate_weight, index(), osl::SimpleState::kingSquare(), updateAttack5x5Pieces(), osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by NewProgress(), and updateSub().

## updateMain()

template<osl::Player P>

void osl::progress::ml::NewProgress::updateMain | ( | const NumEffectState & | new_state,
|  | Move | last_move )

inline private

Definition at line 590 of file progress.cc.

References osl::alt(), osl::container::BoardMask::anyInRange(), osl::BLACK, osl::Board_Mask_Table5x3_Center, osl::captured(), osl::Move::capturePtype(), osl::NumEffectState::changedEffects(), osl::SimpleState::countPiecesOnStand(), osl::progress::ml::NewProgressData::defenses, osl::Move::from(), indexRelative(), osl::Move::isDrop(), osl::KING, osl::progress::ml::NewProgressData::king_relative_attack, osl::progress::ml::NewProgressData::king_relative_defense, king_relative_weight, osl::SimpleState::kingSquare(), osl::Move::oldPtype(), osl::Move::player(), osl::progress::ml::NewProgressData::progresses, progressOne(), osl::Move::ptype(), osl::PTYPE_EMPTY, osl::Ptype_Table, osl::progress::ml::NewProgressData::stand_progresses, stand_weight, osl::Move::to(), osl::SimpleState::turn(), osl::unpromote(), updateNonPawnAttackedPtypePair(), updatePawnFacing(), updatePieceKingRelativeBonus(), updatePieceStand7(), updatePromotion37(), and osl::WHITE.

Referenced by updateSub().

## updateNonPawnAttackedPtypePair()

void osl::progress::ml::NewProgress::updateNonPawnAttackedPtypePair | ( | const NumEffectState & | state | ) |

private

Definition at line 468 of file progress.cc.

References updateNonPawnAttackedPtypePairOne().

Referenced by NewProgress(), and updateMain().

## updateNonPawnAttackedPtypePairOne()

template<osl::Player Owner>

void osl::progress::ml::NewProgress::updateNonPawnAttackedPtypePairOne | ( | const NumEffectState & | state | ) |

private

Definition at line 435 of file progress.cc.

References osl::alt(), osl::PieceMask::any(), attacked_ptype_pair_weight, osl::BLACK, osl::PieceMask::clearBit(), osl::NumEffectState::effectedMask(), osl::PieceMask::getMask(), osl::SimpleState::kingPiece(), osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair, osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair_eval, osl::Piece::number(), osl::PieceMask::orMask(), osl::PAWN, osl::SimpleState::pieceOf(), osl::NumEffectState::piecesOnBoard(), osl::NumEffectState::promotedPieces(), osl::FixedCapacityVector< T, Capacity >::push_back(), osl::PieceMask::reset(), osl::PieceMask::selectBit(), osl::FixedCapacityVector< T, Capacity >::size(), and osl::container::PieceMask64::takeOneBit().

Referenced by updateNonPawnAttackedPtypePair().

## updatePawnFacing()

void osl::progress::ml::NewProgress::updatePawnFacing | ( | const NumEffectState & | state | ) |

private

Definition at line 475 of file progress.cc.

References osl::misc::GeneralMask< Integer >::any(), osl::BLACK, osl::NumEffectState::effectedMask(), osl::PieceMask::getMask(), osl::NumEffectState::hasEffectByPtypeStrict(), osl::PAWN, osl::progress::ml::NewProgressData::pawn_facing, pawn_facing_weight, osl::SimpleState::pieceOf(), osl::NumEffectState::piecesOnBoard(), osl::NumEffectState::promotedPieces(), osl::PieceMask::selectBit(), osl::Piece::square(), osl::misc::GeneralMask< Integer >::takeOneBit(), and osl::WHITE.

Referenced by NewProgress(), and updateMain().

## updatePieceKingRelativeBonus()

void osl::progress::ml::NewProgress::updatePieceKingRelativeBonus | ( | const NumEffectState & | state | ) |

private

Definition at line 410 of file progress.cc.

References osl::alt(), osl::BLACK, indexRelative(), osl::Piece::isOnBoard(), osl::KING, osl::progress::ml::NewProgressData::king_relative_attack, osl::progress::ml::NewProgressData::king_relative_defense, king_relative_weight, osl::SimpleState::kingSquare(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Piece::ptype(), osl::Piece::SIZE, and osl::WHITE.

Referenced by NewProgress(), and updateMain().

## updatePieceStand7()

void osl::progress::ml::NewProgress::updatePieceStand7 | ( | const NumEffectState & | state | ) |

private

Definition at line 531 of file progress.cc.

References osl::SimpleState::hasPieceOnStand(), osl::indexToPlayer(), osl::PieceStand::order, osl::progress::ml::NewProgressData::piecestand7, piecestand7_weight, and osl::PTYPE_BASIC_MIN.

Referenced by NewProgress(), and updateMain().

## updatePromotion37()

void osl::progress::ml::NewProgress::updatePromotion37 | ( | const NumEffectState & | state | ) |

private

Definition at line 522 of file progress.cc.

References osl::progress::ml::NewProgressData::promotion37, osl::progress::ml::NewProgressData::promotion37_eval, and promotion37One().

Referenced by NewProgress(), and updateMain().

## updateSub()

template<osl::Player P>

void osl::progress::ml::NewProgress::updateSub | ( | const NumEffectState & | new_state,
|  | Move | last_move )

Definition at line 684 of file progress.cc.

References osl::alt(), osl::container::BoardMask::anyInRange(), osl::progress::ml::NewProgressData::attack5x5_progresses, attack5x5Value(), osl::BLACK, osl::Board_Mask_Table5x5, osl::captured(), osl::Move::capturePtype(), osl::NumEffectState::changedEffects(), osl::Move::isDrop(), osl::Move::isPass(), osl::KING, osl::SimpleState::kingSquare(), osl::Move::ptype(), osl::PTYPE_EMPTY, osl::SimpleState::turn(), updateAttack5x5PiecesAndState(), updateMain(), and osl::WHITE.

Referenced by osl::progress::ml::osl::progress::ml::NewProgress::updateSub< osl::BLACK >(), osl::progress::ml::osl::progress::ml::NewProgress::updateSub< osl::WHITE >(), and update().

## Member Data Documentation

## attack5x5_weight

osl::CArray< int, 1125 > osl::progress::ml::NewProgress::attack5x5_weight

static private

Definition at line 82 of file progress.h.

Referenced by setUp().

## attack5x5_x_weight

osl::CArray< int, 5625 > osl::progress::ml::NewProgress::attack5x5_x_weight

static private

Definition at line 83 of file progress.h.

Referenced by attack5x5Value(), and setUp().

## attack5x5_y_weight

osl::CArray< int, 10125 > osl::progress::ml::NewProgress::attack5x5_y_weight

static private

Definition at line 84 of file progress.h.

Referenced by attack5x5Value(), and setUp().

## attack_relative

osl::CArray< int, 81 *15 *10 > osl::progress::ml::NewProgress::attack_relative

static private

Definition at line 86 of file progress.h.

Referenced by progressOne(), and setUp().

## attacked_ptype_pair_weight

osl::CArray< int, 262144 > osl::progress::ml::NewProgress::attacked_ptype_pair_weight

static private

Definition at line 89 of file progress.h.

Referenced by setUp(), and updateNonPawnAttackedPtypePairOne().

## defense_relative

osl::CArray< int, 81 *15 *10 > osl::progress::ml::NewProgress::defense_relative

static private

Definition at line 87 of file progress.h.

Referenced by progressOne(), and setUp().

## effectstate_weight

osl::CArray< int, 75 > osl::progress::ml::NewProgress::effectstate_weight

static private

Definition at line 85 of file progress.h.

Referenced by setUp(), and updateAttack5x5PiecesAndState().

## initialized_flag

bool osl::progress::ml::NewProgress::initialized_flag

static private

Definition at line 80 of file progress.h.

Referenced by initialized(), NewProgress(), and setUp().

## king_relative_weight

osl::CArray< int, 4284 > osl::progress::ml::NewProgress::king_relative_weight

static private

Definition at line 88 of file progress.h.

Referenced by setUp(), updateMain(), and updatePieceKingRelativeBonus().

## max_progress

int osl::progress::ml::NewProgress::max_progress

static private

Definition at line 93 of file progress.h.

Referenced by maxProgress(), progress(), progress16(), progressAttack(), progressDefense(), and setUp().

## pawn_facing_weight

osl::CArray< int, 10 > osl::progress::ml::NewProgress::pawn_facing_weight

static private

Definition at line 90 of file progress.h.

Referenced by setUp(), and updatePawnFacing().

## piecestand7_weight

osl::CArray< int, 56 > osl::progress::ml::NewProgress::piecestand7_weight

static private

Definition at line 92 of file progress.h.

Referenced by setUp(), and updatePieceStand7().

## promotion37_weight

osl::CArray< int, 16 > osl::progress::ml::NewProgress::promotion37_weight

static private

Definition at line 91 of file progress.h.

Referenced by promotion37One(), and setUp().

## stand_weight

osl::CArray< int, osl::Piece::SIZE > osl::progress::ml::NewProgress::stand_weight

static private

Definition at line 81 of file progress.h.

Referenced by NewProgress(), setUp(), and updateMain().

The documentation for this class was generated from the following files:

- progress.h
- progress.cc